#include <WinTen.h>
#include <Windows.h>
#include <LZExpand.h>
#include <ClipApi.h>

//----------------------------------------------------------------------------//

CLIPPER LZCOPYFILE()
{
   OFSTRUCT ofStrSrc, ofStrDest;
   HFILE hSource, hDest;
   LONG lResult = -1;

   hSource = LZOpenFile( _parc( 1 ), &ofStrSrc, OF_READ );
   hDest   = LZOpenFile( _parc( 2 ), &ofStrDest, OF_CREATE );

   if( hSource != -1 && hDest != -1 )
      lResult = LZCopy( hSource, hDest );

   LZClose( hSource );
   LZClose( hDest );

   _retnl( lResult );
}

//----------------------------------------------------------------------------//
